--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Given a gem file's contents, validates against its own MD5 checksum
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "gem_data:"
    body: "[String] Contents of the gem file"
  type: :NOTE
full_name: Gem::Validator#verify_gem
is_singleton: false
name: verify_gem
params: (gem_data)
visibility: public
